commit: 3c87337c02b8d0ca6c35d079005c50f7d707b554
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 11:10:10 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue May 16 11:10:10 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c87337c
dev-python/jsonref: Add python3_6, add tests
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-python/jsonref/jsonref-0.1.ebuild | 13 ++++++++-----
1 file changed, 8 insertions(+), 5 deletions(-)
diff --git a/dev-python/jsonref/jsonref-0.1.ebuild
b/dev-python/jsonref/jsonref-0.1.ebuild
index 47c7cf272c5..b065699eaea 100644
--- a/dev-python/jsonref/jsonref-0.1.ebuild
+++ b/dev-python/jsonref/jsonref-0.1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{4,5} pypy)
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy)
inherit eutils distutils-r1
@@ -13,7 +13,10 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
-IUSE=""
+IUSE="test"
-DEPEND=""
-RDEPEND="${DEPEND}"
+DEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ py.test tests.py || die
+}